This module builds a python extension of the GlutImposterRenderer library
developed in Chandrajit Bajaj's group at UT Austin (http://ccvweb.csres.utexas.edu/software). 
This distribution contains source code of the library.
Cg toolkit is required for building this library (can be downloaded from
http://developer.nvidia.com/object/cg_toolkit.html).
Distutils are used to wrap the library with SWIG (version 1.3.20 or higher),
build the C++ libraries and build the python extension (_utimposterrend.so).

To build and install the extension:

python2.4 setup.py install

This will:
- build static libraries libImposterRenderer.a, libOpenGL_Viewer.a,
  libUsefulMath.a in ./build/temp.<platform_specifier>;
- generate a python shadow class module utimposterrend.py  in
  ./build/lib.<platform_specifier>/UTpackages/UTimposter
- build _utimposterrend.so in ./build/lib.<platform_specifier>/UTpackages/UTimposter;
- copy the UTimposter  package from ./build/lib.<platform_specifier>/UTpackages to
  sys.exec_prefix/lib/python2.4/site-packages/UTpackages;

The install command can be called with the following options:

 --install-platlib=INSTALL_DIR
	installs the UTimposter package in INSTALL_DIR/UTpackages
 --no-compile
	do not compile .py to .pyc

Example:
   python2.4 setup.py install --install-platlib=/home/myname/myinstalldir

To build the extension only:
   python2.4 setup.py build

To build source distribution:
   python2.4 setup.py sdist

To build binary distribution:
   python2.4 setup.py bdist


